Subject: Re: bug#21139: 25.0.50; shell-mode doesn't respect comint-scroll-to-bottom-on-output/input

From: Artur Malabarba <[email-masked]>
Date: Mon, 27 Jul 2015 18:01:20 +0100

> I think this is a misunderstanding.
> Try (in a shell buffer with more than one page of output present):
>
> sleep 5; date
>
> and scroll Emacs to the top of the shell buffer before the sleep ends.
> Compare the behaviour with comint-move-point-for-output nil and non-nil.

Thanks, that helped understant what the output variable is supposed to
do, and it does match the docstring (which explains that it's about
the point, not the window).

But what about the input variable?
If I set it to nil, the window still scrolls whenever I hit RET. And
the docstring seems to say it shouldn't:

> Controls whether input to interpreter causes window to scroll.
> If nil, then do not scroll.